std::decimal::decimal64(3cxx)

NAME
std::decimal::decimal64 - 3.2.3 Class decimal64.

SYNOPSIS

#include <decimal>

  Public Types

typedef float __decfloat64 __attribute__((mode(DD)))

  Public Member Functions

decimal64 (__decfloat64 __z)
Conforming extension: Conversion from scalar decimal type.
decimal64 (decimal128 d128)
decimal64 (decimal32 d32)
decimal64 (double __r)
decimal64 (float __r)
decimal64 (int __z)
decimal64 (long __z)
decimal64 (long double __r)
decimal64 (long long __z)
decimal64 (unsigned int __z)
decimal64 (unsigned long __z)
decimal64 (unsigned long long __z)
__decfloat64 __getval (void)
void __setval (__decfloat64 __x)
operator long long () const
decimal64 & operator*= (decimal128 __rhs)
decimal64 & operator*= (decimal32 __rhs)
decimal64 & operator*= (decimal64 __rhs)
decimal64 & operator*= (int __rhs)
decimal64 & operator*= (long __rhs)
decimal64 & operator*= (long long __rhs)
decimal64 & operator*= (unsigned int __rhs)
decimal64 & operator*= (unsigned long __rhs)
decimal64 & operator*= (unsigned long long __rhs)
decimal64 & operator++ ()
decimal64 operator++ (int)
decimal64 & operator+= (decimal128 __rhs)
decimal64 & operator+= (decimal32 __rhs)
decimal64 & operator+= (decimal64 __rhs)
decimal64 & operator+= (int __rhs)
decimal64 & operator+= (long __rhs)
decimal64 & operator+= (long long __rhs)
decimal64 & operator+= (unsigned int __rhs)
decimal64 & operator+= (unsigned long __rhs)
decimal64 & operator+= (unsigned long long __rhs)
decimal64 & operator-- ()
decimal64 operator-- (int)
decimal64 & operator-= (decimal128 __rhs)
decimal64 & operator-= (decimal32 __rhs)
decimal64 & operator-= (decimal64 __rhs)
decimal64 & operator-= (int __rhs)
decimal64 & operator-= (long __rhs)
decimal64 & operator-= (long long __rhs)
decimal64 & operator-= (unsigned int __rhs)
decimal64 & operator-= (unsigned long __rhs)
decimal64 & operator-= (unsigned long long __rhs)
decimal64 & operator/= (decimal128 __rhs)
decimal64 & operator/= (decimal32 __rhs)
decimal64 & operator/= (decimal64 __rhs)
decimal64 & operator/= (int __rhs)
decimal64 & operator/= (long __rhs)
decimal64 & operator/= (long long __rhs)
decimal64 & operator/= (unsigned int __rhs)
decimal64 & operator/= (unsigned long __rhs)
decimal64 & operator/= (unsigned long long __rhs)

Detailed Description

3.2.3 Class decimal64.

Definition at line 313 of file decimal.

Member Typedef Documentation

  typedef float __decfloat64 std::decimal::decimal64::__attribute__((mode(DD)))

Definition at line 316 of file decimal.

Constructor & Destructor Documentation

  std::decimal::decimal64::decimal64 () [inline]

Definition at line 319 of file decimal.

  std::decimal::decimal64::decimal64 (float __r) [inline], [explicit]

Definition at line 324 of file decimal.

  std::decimal::decimal64::decimal64 (double __r) [inline], [explicit]

Definition at line 325 of file decimal.

  std::decimal::decimal64::decimal64 (long double __r) [inline], [explicit]

Definition at line 326 of file decimal.

  std::decimal::decimal64::decimal64 (int __z) [inline]

Definition at line 329 of file decimal.

  std::decimal::decimal64::decimal64 (unsigned int __z) [inline]

Definition at line 330 of file decimal.

  std::decimal::decimal64::decimal64 (long __z) [inline]

Definition at line 331 of file decimal.

  std::decimal::decimal64::decimal64 (unsigned long __z) [inline]

Definition at line 332 of file decimal.

  std::decimal::decimal64::decimal64 (long long __z) [inline]

Definition at line 333 of file decimal.

  std::decimal::decimal64::decimal64 (unsigned long long __z) [inline]

Definition at line 334 of file decimal.

  std::decimal::decimal64::decimal64 (__decfloat64 __z) [inline]

Conforming extension: Conversion from scalar decimal type.

Definition at line 337 of file decimal.

Member Function Documentation

  __decfloat64 std::decimal::decimal64::__getval (void) [inline]

Definition at line 394 of file decimal.

  void std::decimal::decimal64::__setval (__decfloat64 __x) [inline]

Definition at line 395 of file decimal.

  std::decimal::decimal64::operator long long () const [inline], [explicit]

Definition at line 342 of file decimal.

  decimal64 & std::decimal::decimal64::operator++ () [inline]

Definition at line 346 of file decimal.

  decimal64 std::decimal::decimal64::operator++ (int) [inline]

Definition at line 352 of file decimal.

  decimal64 & std::decimal::decimal64::operator-- () [inline]

Definition at line 359 of file decimal.

  decimal64 std::decimal::decimal64::operator-- (int) [inline]

Definition at line 365 of file decimal.

Author

Generated automatically by Doxygen for libstdc++ from the source code.